<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): erpcgen::AstPrinter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1_ast_printer.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classerpcgen_1_1_ast_printer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpcgen::AstPrinter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Dumps an AST tree.  
 <a href="classerpcgen_1_1_ast_printer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_ast_node_8h_source.html">AstNode.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a67cc65aed0991ae72e969f404477c87e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_ast_printer.html#a67cc65aed0991ae72e969f404477c87e">AstPrinter</a> (<a class="el" href="classerpcgen_1_1_ast_node.html">AstNode</a> *root)</td></tr>
<tr class="memdesc:a67cc65aed0991ae72e969f404477c87e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is constructor of <a class="el" href="classerpcgen_1_1_ast_printer.html" title="Dumps an AST tree. ">AstPrinter</a> class.  <a href="#a67cc65aed0991ae72e969f404477c87e">More...</a><br /></td></tr>
<tr class="separator:a67cc65aed0991ae72e969f404477c87e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3834f6acafd99743fd8140ac2f941abc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_ast_printer.html#a3834f6acafd99743fd8140ac2f941abc">dispatch</a> ()</td></tr>
<tr class="memdesc:a3834f6acafd99743fd8140ac2f941abc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function call for dispatch function.  <a href="#a3834f6acafd99743fd8140ac2f941abc">More...</a><br /></td></tr>
<tr class="separator:a3834f6acafd99743fd8140ac2f941abc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e20dfbcdc8726ce0596676932fb586"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_ast_printer.html#a75e20dfbcdc8726ce0596676932fb586">dispatch</a> (<a class="el" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, int childIndex=0)</td></tr>
<tr class="memdesc:a75e20dfbcdc8726ce0596676932fb586"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function call for print <a class="el" href="classerpcgen_1_1_ast_node.html" title="Homogeneous AST node class. ">AstNode</a> tree information and dispatch children.  <a href="#a75e20dfbcdc8726ce0596676932fb586">More...</a><br /></td></tr>
<tr class="separator:a75e20dfbcdc8726ce0596676932fb586"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e77eb6675ed414ea30f7022a5169383"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_ast_printer.html#a6e77eb6675ed414ea30f7022a5169383">print</a> (<a class="el" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, int childIndex=0)</td></tr>
<tr class="memdesc:a6e77eb6675ed414ea30f7022a5169383"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function print <a class="el" href="classerpcgen_1_1_ast_node.html" title="Homogeneous AST node class. ">AstNode</a> information.  <a href="#a6e77eb6675ed414ea30f7022a5169383">More...</a><br /></td></tr>
<tr class="separator:a6e77eb6675ed414ea30f7022a5169383"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:aabf0401a7066807b3fe671da1adeb1eb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_ast_printer.html#aabf0401a7066807b3fe671da1adeb1eb">printIndent</a> (int indent) const </td></tr>
<tr class="memdesc:aabf0401a7066807b3fe671da1adeb1eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function call for print indent.  <a href="#aabf0401a7066807b3fe671da1adeb1eb">More...</a><br /></td></tr>
<tr class="separator:aabf0401a7066807b3fe671da1adeb1eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a6eded3139be37154915ee9f46223f740"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_ast_node.html">AstNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_ast_printer.html#a6eded3139be37154915ee9f46223f740">m_root</a></td></tr>
<tr class="separator:a6eded3139be37154915ee9f46223f740"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04849a941fff5f0a56be09cd62cabaee"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_ast_printer.html#a04849a941fff5f0a56be09cd62cabaee">m_depth</a></td></tr>
<tr class="separator:a04849a941fff5f0a56be09cd62cabaee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3aaf1115d98aab20242a7ccb82d0312"><td class="memItemLeft" align="right" valign="top">std::stack&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_ast_printer.html#af3aaf1115d98aab20242a7ccb82d0312">m_depthStack</a></td></tr>
<tr class="separator:af3aaf1115d98aab20242a7ccb82d0312"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Dumps an AST tree. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a67cc65aed0991ae72e969f404477c87e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpcgen::AstPrinter::AstPrinter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpcgen_1_1_ast_node.html">AstNode</a> *&#160;</td>
          <td class="paramname"><em>root</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function is constructor of <a class="el" href="classerpcgen_1_1_ast_printer.html" title="Dumps an AST tree. ">AstPrinter</a> class. </p>
<p>This function set root node to given node and depth to 0.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">root</td><td>Pointer to root node. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a3834f6acafd99743fd8140ac2f941abc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpcgen::AstPrinter::dispatch </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function call for dispatch function. </p>
<p>This function call for dispatch with parameters root node and 0 number.</p>
<dl class="section see"><dt>See also</dt><dd>void <a class="el" href="classerpcgen_1_1_ast_printer.html#a3834f6acafd99743fd8140ac2f941abc" title="This function call for dispatch function. ">dispatch</a>(<a class="el" href="classerpcgen_1_1_ast_node.html" title="Homogeneous AST node class. ">AstNode</a> * node, int childIndex=0) </dd></dl>

</div>
</div>
<a class="anchor" id="a75e20dfbcdc8726ce0596676932fb586"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AstPrinter::dispatch </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpcgen_1_1_ast_node.html">AstNode</a> *&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>childIndex</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function call for print <a class="el" href="classerpcgen_1_1_ast_node.html" title="Homogeneous AST node class. ">AstNode</a> tree information and dispatch children. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">node</td><td>Node to print. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">childIndex</td><td>Child node index.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd>void <a class="el" href="classerpcgen_1_1_ast_printer.html#a3834f6acafd99743fd8140ac2f941abc" title="This function call for dispatch function. ">dispatch()</a> </dd>
<dd>
void <a class="el" href="classerpcgen_1_1_ast_printer.html#a6e77eb6675ed414ea30f7022a5169383" title="This function print AstNode information. ">print()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a6e77eb6675ed414ea30f7022a5169383"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AstPrinter::print </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpcgen_1_1_ast_node.html">AstNode</a> *&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>childIndex</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function print <a class="el" href="classerpcgen_1_1_ast_node.html" title="Homogeneous AST node class. ">AstNode</a> information. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">node</td><td>Node to print. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">childIndex</td><td>Child node index. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aabf0401a7066807b3fe671da1adeb1eb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AstPrinter::printIndent </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indent</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function call for print indent. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">indent</td><td>Number of spaces. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a04849a941fff5f0a56be09cd62cabaee"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int erpcgen::AstPrinter::m_depth</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Depth of <a class="el" href="classerpcgen_1_1_ast_node.html" title="Homogeneous AST node class. ">AstNode</a> tree. </p>

</div>
</div>
<a class="anchor" id="af3aaf1115d98aab20242a7ccb82d0312"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::stack&lt;int&gt; erpcgen::AstPrinter::m_depthStack</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Vector of depth. </p>

</div>
</div>
<a class="anchor" id="a6eded3139be37154915ee9f46223f740"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_ast_node.html">AstNode</a>* erpcgen::AstPrinter::m_root</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Root of <a class="el" href="classerpcgen_1_1_ast_node.html" title="Homogeneous AST node class. ">AstNode</a> tree. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_ast_node_8h_source.html">AstNode.h</a></li>
<li>AstNode.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
